#!/bin/sh
# Downloads specified XKCD strips and adds the "alt" text on the bottom
# Copyright Raphal Rigo (if it can be copyrighted, it's so trivial...)
# Licence : GPLv3
#
# 01/2009 : updated to add the "title" text in metadata


if [ $# -lt 2 ] ;
then
        echo "Args : first last"
        exit 0;
fi

for i in $(seq $1 $2) ; do
	echo $i
	wget -O "c$i.html" "http://xkcd.com/$i/"
	url=$(cat c$i.html | grep "img src.*comics" | sed -r 's/.*img src="(.*)" ti.*/\1/')
	filename=${url/*comics\//}
	title=$(cat c$i.html | grep "img src.*comics" | sed -r 's/.*title="(.*)" alt.*/\1/')
	wget -q -c $url
	size=$(convert -verbose $filename - | head -n 1 | cut -d' ' -f 3 | sed s/x.*//)
	convert -size ${size}x -gravity Center caption:"$title" png:- | convert -comment "$title" -append $filename png:- $i\_${filename}
	rm $filename
	rm "c$i.html"
done
